<?php

namespace XF\ActivityLog;

use XF\Mvc\Entity\Entity;

use function in_array;

/**
 * @implements AbstractHandler<\XF\Entity\Post>
 */
class Post extends AbstractHandler
{
	public function log(
		Entity $content,
		int $logDate,
		array $values,
		bool $increment
	): void
	{
		if (!$content->isFirstPost())
		{
			return;
		}

		$thread = $content->Thread;
		if (!$thread)
		{
			return;
		}

		$values = array_filter(
			$values,
			function ($type)
			{
				return in_array($type, ['reaction_count', 'reaction_score']);
			},
			ARRAY_FILTER_USE_KEY
		);

		$this->getActivityLogRepo()->log($thread, $logDate, $values, $increment);
	}

	public function bulkLog(array $values, bool $increment): void
	{
		return;
	}

	public function updateContainerId(Entity $content): void
	{
		return;
	}

	public function mergeLogs(
		Entity $target,
		array $sourceIds,
		?array $metrics = null
	): void
	{
		return;
	}

	public function removeLogs(Entity $content): void
	{
		return;
	}

	public function rebuildReplyMetrics(Entity $content): void
	{
		return;
	}

	public function rebuildVoteMetrics(Entity $content): void
	{
		return;
	}

	public function rebuildReactionMetrics(Entity $content): void
	{
		return;
	}
}