<?php

namespace XF\ActivityLog;

use XF\Mvc\Entity\Entity;

/**
 * @implements AbstractHandler<\XF\Entity\Thread>
 */
class Thread extends AbstractHandler
{
	protected function getReplyMetrics(Entity $content): array
	{
		$contentId = $content->getEntityId();
		$cutOff = $this->getActivityLogRepo()->getCutOff();

		return \XF::db()->fetchAllKeyed(
			'SELECT DATE(FROM_UNIXTIME(post.post_date)) AS log_date,
					COUNT(*) AS reply_count
				FROM xf_post AS post
				WHERE post.thread_id = ? AND post.post_date >= ?
				GROUP BY log_date
				ORDER BY log_date ASC',
			'log_date',
			[$contentId, $cutOff]
		);
	}

	protected function getReactionMetrics(Entity $content): array
	{
		$firstPost = $content->FirstPost;
		if (!$firstPost)
		{
			return [];
		}

		return parent::getReactionMetrics($firstPost);
	}
}