<?php

namespace XF\Api\ControllerPlugin;

use XF\Finder\ConversationMaster;

class Conversation extends AbstractPlugin
{
	/**
	 * @param int $id
	 * @param string|array $with
	 *
	 * @return \XF\Entity\ConversationUser
	 *
	 * @throws \XF\Mvc\Reply\Exception
	 */
	public function assertViewableUserConversation($id, $with = 'api')
	{
		$visitor = \XF::visitor();

		/** @var \XF\Finder\ConversationUser $finder */
		$finder = $this->finder(ConversationMaster::class);
		$finder->forUser($visitor, false);
		$finder->where('conversation_id', $id);
		$finder->with($with);

		/** @var \XF\Entity\ConversationUser $conversation */
		$conversation = $finder->fetchOne();
		if (!$conversation || !$conversation->Master)
		{
			throw $this->exception($this->notFound(\XF::phrase('requested_direct_message_not_found')));
		}

		return $conversation;
	}
}