<?php

namespace XF\Finder;

use XF\Mvc\Entity\Finder;

/**
 * @method \XF\Mvc\Entity\AbstractCollection<\XF\Entity\ConversationMessage> fetch($limit = null, $offset = null)
 * @method \XF\Entity\ConversationMessage|null fetchOne($limit = null, $offset = null)
 * @extends \XF\Mvc\Entity\Finder<\XF\Entity\ConversationMessage>
 */
class ConversationMessage extends Finder
{
	public function inConversation(\XF\Entity\ConversationMaster $conversation)
	{
		$this->where('conversation_id', $conversation->conversation_id);

		return $this;
	}

	public function earlierThan(\XF\Entity\ConversationMessage $message)
	{
		$this->where('message_date', '<', $message->message_date);

		return $this;
	}
}