<?php

namespace XF\Job;

class AvatarOptimization extends AbstractImageOptimizationJob
{
	protected function getNextIds($start, $batch): array
	{
		$db = $this->app->db();

		return $db->fetchAllColumn($db->limit(
			"
				SELECT user_id
				FROM xf_user
				WHERE user_id > ?
				    AND avatar_date > 0
					AND avatar_optimized = 0
				ORDER BY user_id
			", $batch
		), $start);
	}

	protected function optimizeById($id): void
	{
		$user = $this->app->em()->find(\XF\Entity\User::class, $id);

		$avatarService = $this->app->service(\XF\Service\User\Avatar::class, $user);
		$avatarService->silentRunning(true);
		$avatarService->logIp(false);
		$avatarService->optimizeExistingAvatar();
	}

	protected function getStatusType(): string
	{
		return \XF::phrase('avatars');
	}
}