<?php

namespace XF\LogSearch;

use XF\Mvc\Entity\Entity;
use XF\Mvc\Entity\Finder;

class UserReject extends AbstractHandler
{
	protected $searchFields = [
		'User.username',
		'reject_reason'
	];

	protected function getFinderName()
	{
		return 'XF:UserReject';
	}

	protected function getFinderConditions(Finder &$finder)
	{
		$finder->with(['User', 'RejectUser']);
	}

	protected function getDateField()
	{
		return 'reject_date';
	}

	protected function getRouteName()
	{
		return 'logs/rejected-users';
	}

	/**
	 * @param \XF\Entity\UserReject $record
	 *
	 * @return array|string
	 */
	protected function getLabel(Entity $record)
	{
		return [
			$record->User->username,
			$record->reject_reason
		];
	}

	/**
	 * @param UserReject $record
	 *
	 * @return \XF\Entity\User|null
	 */
	protected function getLogUser(Entity $record)
	{
		return $record->RejectUser;
	}
}