<?php

namespace XF\TrendingContent;

use XF\Mvc\Entity\AbstractCollection;
use XF\Mvc\Entity\Entity;
use XF\Repository\Attachment;

use function in_array;

/**
 * @implements AbstractHandler<\XF\Entity\Thread>
 */
class Thread extends AbstractHandler
{
	public function getEntityWith(string $style): array
	{
		$visitor = \XF::visitor();

		$with = [
			'Forum',
			'Forum.Node.Permissions|' . $visitor->permission_combination_id,
			'User',
		];

		if (in_array($style, ['article', 'carousel'], true))
		{
			$with[] = 'FirstPost';
		}

		return $with;
	}

	public function filterContent(AbstractCollection $content): AbstractCollection
	{
		return $content->filter(
			function(Entity $item)
			{
				return $item->canView() && !$item->isIgnored();
			}
		);
	}

	public function addAttachmentsToContent(AbstractCollection $content): void
	{
		$firstPosts = $content->pluckNamed('FirstPost', 'first_post_id');
		$attachmentRepo = \XF::repository(Attachment::class);
		$attachmentRepo->addAttachmentsToContent($firstPosts, 'post');
	}
}