<?php

namespace XF\Webhook\Event;

use XF\Mvc\Entity\Entity;

class Thread extends AbstractHandler
{
	public function getCriteriaClass(): string
	{
		return \XF\Webhook\Criteria\Thread::class;
	}

	public function getCriteriaTemplateName(): ?string
	{
		return 'admin:webhook_criteria_thread';
	}

	public function getCriteriaTemplateParams(Entity $webhook): array
	{
		$options = parent::getCriteriaTemplateParams($webhook);

		$nodeRepo = \XF::repository(\XF\Repository\Node::class);
		$forums = $nodeRepo->getNodeOptionsData(false, 'Forum');

		$threadTypeRepo = \XF::repository(\XF\Repository\ThreadType::class);
		$threadTypes = $threadTypeRepo->getThreadTypeListData();

		return array_merge($options, [
			'forums' => $forums,
			'threadTypes' => $threadTypes
		]);
	}

	public function getEntityWith(): array
	{
		return ['Forum'];
	}
}